x-face-el (1.3.6.24-19) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Tatsuya Kinoshita ]
  * Prevent native compilation when byte-compiling
  * Show a compilation error log
  * Remove empty maintainer scripts
  * Relax dependencies on emacs flavors
  * Update Standards-Version to 4.6.2
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 07 Jan 2023 23:37:05 +0900

x-face-el (1.3.6.24-18) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.2.1, no changes needed.

  [ Tatsuya Kinoshita ]
  * Move 010_x-face-e21.patch to debian/x-face-e21.el
  * Update Homepage to https
  * Add Rules-Requires-Root: no
  * Update debhelper-compat to 13
  * Update debian/watch to version 4
  * Update debian/copyright
  * Update Standards-Version to 4.5.1

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 01 Jan 2021 15:15:24 +0900

x-face-el (1.3.6.24-17) unstable; urgency=medium

  * Handle symlinks for emacsen-startup
  * Check stamp file so that source file isn't newer
  * Update Standards-Version to 4.2.0

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 22 Aug 2018 21:17:16 +0900

x-face-el (1.3.6.24-16) unstable; urgency=medium

  * Accept unversioned emacs flavor for emacsen-common 3.0.0
  * Drop workaround for emacsen-common 1.x
  * Update debhelper compat version to 11
  * Migrate from anonscm.debian.org to salsa.debian.org
  * Update debian/copyright
  * Update Standards-Version to 4.1.4

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 03 Jun 2018 22:25:34 +0900

x-face-el (1.3.6.24-15) unstable; urgency=medium

  * Prefer emacs-nox over emacs
  * Update debhelper compat version to 9
  * Use dh_prep instead of dh_clean -k
  * Update Vcs-Browser to https
  * Update Standards-Version to 3.9.8
  * Update debian/copyright
  * Do not byte-compile x-face.el for Emacs >=21

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Jan 2017 21:40:36 +0900

x-face-el (1.3.6.24-14) unstable; urgency=medium

  * Depend on emacsen-common 2.0.8
  * Use debian-emacs-flavor instead of flavor in emacsen-startup
  * Install a compat file with emacsen-compat
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 20 Aug 2014 20:03:17 +0900

x-face-el (1.3.6.24-13) unstable; urgency=low

  * Workaround for emacsen-common <2 and debhelper <9.20131104
  * Add Vcs-Git and Vcs-Browser
  * Update debian/copyright
  * Update Standards-Version to 3.9.5

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 28 Dec 2013 08:17:09 +0900

x-face-el (1.3.6.24-12) unstable; urgency=low

  * debian/control:
    - Use Homepage field. (closes: #615305)
    - Set Section to "lisp".
    - Add ${misc:Depends} to Depends.
    - Update Standards-Version to 3.9.3.
  * debian/rules: New targets build-arch and build-indep.
  * debian/copyright: Switch to copyright-format-1.0.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 28 Apr 2012 02:26:31 +0900

x-face-el (1.3.6.24-11) unstable; urgency=low

  * debian/control: Prefer emacs to emacs21.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 09 Jul 2007 22:07:38 +0900

x-face-el (1.3.6.24-10) unstable; urgency=low

  * debian/x-face-e21.el: Update to version 0.129. (Downloaded from
    `http://www.jpl.org/ftp/pub/elisp/x-face-e21.el.gz', Revised: 2007/03/06)
  * debian/control (Description): Remove emacs20 features.
  * debian/watch: Set Action to uupdate.
  * debian/copyright:
    - Updated for x-face-e21.el.
    - Mention Debian packaging conditions.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 30 Apr 2007 22:36:51 +0900

x-face-el (1.3.6.24-9) unstable; urgency=low

  * debian/control (Build-Depends): Depend on debhelper version 5.
  * debian/compat: 3 -> 5.
  * debian/control (Standards-Version): 3.6.1 -> 3.7.2.
  * debian/copyright: Update the postal address of the Free Software
    Foundation.
  * debian/control (Maintainer): tats@vega.ocn.ne.jp -> tats@debian.org.
  * debian/copyright: Ditto.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun,  4 Jun 2006 21:20:10 +0900

x-face-el (1.3.6.24-8) unstable; urgency=low

  * debian/x-face-e21.el: Update to version 0.128. (Downloaded from
    `http://www.jpl.org/ftp/pub/elisp/x-face-e21.el.gz', Revised: 2004/08/27)
  * debian/emacsen-install: Accept emacsen flavors emacscvs and sxemacs*.
  * debian/watch: New file.
  * debian/control: Revise description.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Sat,  4 Jun 2005 15:44:21 +0900

x-face-el (1.3.6.24-7) unstable; urgency=low

  * debian/x-face-e21.el: Update to version 0.127. (Downloaded from
    `http://www.jpl.org/ftp/pub/elisp/x-face-e21.el.gz', Revised: 2004/07/29)

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Tue,  3 Aug 2004 02:59:50 +0900

x-face-el (1.3.6.24-6) unstable; urgency=low

  * debian/emacsen-install: Accept emacsen flavors `emacs-snapshot' and
    `emacs22' for using x-face-e21.

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Sat, 22 May 2004 20:37:24 +0900

x-face-el (1.3.6.24-5) unstable; urgency=low

  * debian/x-face-e21.el: Update to version 0.126. (Downloaded from
    `http://www.jpl.org/ftp/pub/elisp/x-face-e21.el.gz', Revised: 2004/05/10)
  * debian/control (Suggests): Add `bbdb'.
  * debian/emacsen-install: Create *.el symlinks.

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Fri, 14 May 2004 06:18:33 +0900

x-face-el (1.3.6.24-4) unstable; urgency=low

  * debian/x-face-e21.el: Update to version 0.125. (Downloaded from
    `http://www.jpl.org/ftp/pub/elisp/x-face-e21.el.gz', Revised: 2004/02/25)

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Sun,  7 Mar 2004 01:07:39 +0900

x-face-el (1.3.6.24-3) unstable; urgency=low

  * debian/x-face-e21.el: Update to version 0.124. (Downloaded from
    `http://www.jpl.org/ftp/pub/elisp/x-face-e21.el.gz', Revised: 2004/02/06)

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Sun, 22 Feb 2004 22:30:29 +0900

x-face-el (1.3.6.24-2) unstable; urgency=low

  * debian/x-face-e21.el: Updated. (Downloaded from
    `http://www.jpl.org/ftp/pub/elisp/x-face-e21.el.gz', Revised: 2004/01/28,
    x-face-e21-version: 0.123)
  * debian/copyright: Revised.

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Thu, 29 Jan 2004 23:40:20 +0900

x-face-el (1.3.6.24-1) unstable; urgency=low

  * New upstream release.
    - x-face.el (x-face-view-single-ascii): Use discard-input for
      "Press any key". (closes: #133015)
  * debian/x-face-e21.el: Updated. (last modified: 2003-08-29, downloaded
    from `http://www.jpl.org/ftp/pub/elisp/x-face-e21.el.gz')
    - New function, x-face-ascii-view.
  * debian/emacsen-startup: Add autoload for using x-face-ascii-view on a
    character-based terminal.
  * debian/emacsen-install: Set *.elc file mode to 644 explicitly.
  * debian/copyright: Revised.
  * Use debian/compat instead of DH_COMPAT.
    - debian/compat: New file.
    - debian/rules: Remove `export DH_COMPAT=3'.
    - debian/control (Build-Depends-Indep): debhelper (>= 3.4.4).
  * debian/control (Standards-Version): 3.6.0 -> 3.6.1.

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Sat, 30 Aug 2003 22:03:54 +0900

x-face-el (1.3.6.23-3) unstable; urgency=low

  * debian/emacsen-startup: Cleanup.  Support for Mew 3.3 and Mew 4.
  * debian/emacsen-install: chmod 644 for CompilationLog.gz.
  * debian/emacsen-install: Use `rm -f'.
  * debian/control (Suggests): Add `select-xface'.
  * debian/copyright: Revised.
  * debian/docs: Don't contain install documentation `README-Makefile.ja'.
  * debian/control (Standards-Version): 3.5.10 -> 3.6.0.

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Sun, 20 Jul 2003 07:57:49 +0900

x-face-el (1.3.6.23-2) unstable; urgency=medium

  * debian/emacsen-install: Fix bashism. (closes: #199465)
  * Maintainer upload correctly. (closes: #181174, #181178, #193216)

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Tue,  1 Jul 2003 21:46:24 +0900

x-face-el (1.3.6.23-1) unstable; urgency=high

  * New upstream release
    - x-face.el: Fix insecure tempfile handling.
  * x-face-e21.el: New upstream version. (Revised: 2003/03/24)
    - Supporting `Face:' field. (closes: #181174)
  * debian/emacsen-install: Fix that x-face-e21.el compilation fails.
    (closes: #181178)
  * debian/emacsen-remove: Fix that the emacs21 files are left when the
    package is removed. (closes: #193216)
  * debian/emacsen-startup: Use debian-pkg-add-load-path-item.
  * debian/emacsen-startup: Set x-face-viewer-program to "display" instead
    of "xv".
  * debian/control: Add imagemagick to `Suggests:'.
  * x-face.el: Reject x-face-no-conversion patch, because xemacs21-nomule
    supports coding-system now.
  * debian/control: Use Build-Depends-Indep instead of Build-Depends.
  * debian/rules: Use binary-indep instead of binary-arch.
  * debian/rules: Don't use dh_suidregister which is obsolete.
  * debian/rules: Install *.{xbm,xpm} files to /usr/share/pixmaps/x-face-el
    instead of /usr/share/emacs/site-lisp/x-face-el.
  * debian/emacsen-install: Use /usr/share/pixmaps/x-face-el/* files.
  * debian/dirs: Add `usr/share/pixmaps/x-face-el'.
  * debian/copyright: Revised.
  * debian/control: Revise Description.
  * debian/control: Standards-Version: 3.5.2 -> 3.5.10.
  * New maintainer. (with previous maintainer's consent)

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Mon, 30 Jun 2003 22:06:15 +0900

x-face-el (1.3.6.20-1) unstable; urgency=low

  * New upstream release
  * change maintainer address to @debian.org

 -- Takuo KITAME <kitame@debian.org>  Mon, 25 Nov 2002 15:40:27 +0900

x-face-el (1.3.6.19-1) unstable; urgency=low

  * New upstream release
  * update x-face-e21.el

 -- Takuo KITAME <kitame@northeye.org>  Thu, 28 Feb 2002 18:32:18 +0900

x-face-el (1.3.6.15-1) unstable; urgency=low

  * New upstream release
  * remove mule2 dependency

 -- Takuo KITAME <kitame@northeye.org>  Mon, 18 Feb 2002 00:15:53 +0900

x-face-el (1.3.6.13-5) unstable; urgency=low

  * debian/emacsen-startup:
    - added autoload x-face-ascii-view (closes: #131994)

 -- Takuo KITAME <kitame@northeye.org>  Sun,  3 Feb 2002 22:27:44 +0900

x-face-el (1.3.6.13-4) unstable; urgency=low

  * debian/emacsen-startup:
    - check x-face-mule feature for emacs20 (closes: #131064)
    - priority 70 (after bitmap-mule)

 -- Takuo KITAME <kitame@northeye.org>  Sun, 27 Jan 2002 14:56:36 +0900

x-face-el (1.3.6.13-3) unstable; urgency=low

  * emacsen-startup: fix warning for wl-beta (closes: #123578)

 -- Takuo KITAME <kitame@northeye.org>  Wed, 12 Dec 2001 21:03:25 +0900

x-face-el (1.3.6.13-2) unstable; urgency=low

  * added x-face-e21.el for emacs21
  * /etc/emacs/site-start.d/65xface-el as conffile
  * Build-Depends: debhelper (>> 3.0.0)
  * Standards-Version: 3.5.2

 -- Takuo KITAME <kitame@northeye.org>  Tue, 11 Dec 2001 19:39:42 +0900

x-face-el (1.3.6.13-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@northeye.org>  Tue, 18 Sep 2001 23:08:32 +0900

x-face-el (1.3.6.10-8) unstable; urgency=low

  * closes: #76769
       Cannot load 65x-face-el-init on XEmacs21

 -- Takuo KITAME <kitame@northeye.org>  Mon, 13 Nov 2000 01:47:56 +0900

x-face-el (1.3.6.10-7) unstable; urgency=low

  * (setq x-face-inhibit-loadup-splash t) in hook

 -- Takuo KITAME <kitame@northeye.org>  Fri, 20 Oct 2000 15:51:03 +0900

x-face-el (1.3.6.10-6) unstable; urgency=low

  * (require 'x-face) again, but it's just in hook.
    (not evaled when site-init.)

 -- Takuo KITAME <kitame@northeye.org>  Wed, 18 Oct 2000 11:37:07 +0900

x-face-el (1.3.6.10-5) unstable; urgency=low

  * closes: Bug#65731: x-face-el: must not be required in x-face-el-init.el
    Again, fixed.

 -- Takuo KITAME <kitame@northeye.org>  Sat, 14 Oct 2000 07:21:28 +0900

x-face-el (1.3.6.10-4) unstable; urgency=low

  * closes: Bug#65731: x-face-el: must not be required in x-face-el-init.el

 -- Takuo KITAME <kitame@northeye.org>  Fri, 16 Jun 2000 13:51:32 +0900

x-face-el (1.3.6.10-3) unstable; urgency=low

  * modified emacsen-install script.

 -- Takuo KITAME <kitame@northeye.org>  Fri, 21 Apr 2000 04:36:28 +0900

x-face-el (1.3.6.10-2) unstable; urgency=low

  * Fixed typo in debian/control/Description (closes: Bug#59737)

 -- Takuo KITAME <kitame@northeye.org>  Tue, 28 Mar 2000 22:14:00 +0900

x-face-el (1.3.6.10-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@northeye.org>  Tue, 29 Feb 2000 00:57:49 +0900

x-face-el (1.3.6.9-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@northeye.org>  Fri,  4 Feb 2000 23:14:19 +0900

x-face-el (1.3.6.8-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@northeye.org>  Wed, 22 Dec 1999 01:44:37 +0900

x-face-el (1.3.6.7-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@northeye.org>  Mon, 13 Dec 1999 16:06:31 +0900

x-face-el (1.3.6.6-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@northeye.org>  Sat,  4 Dec 1999 11:17:32 +0900

x-face-el (1.3.6.5-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@northeye.org>  Fri, 26 Nov 1999 04:30:27 +0900

x-face-el (1.3.6.4-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@northeye.org>  Wed, 17 Nov 1999 23:03:00 +0900

x-face-el (1.3.6.3-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@northeye.org>  Tue, 16 Nov 1999 08:09:05 +0900

x-face-el (1.3.6.2-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@northeye.org>  Sun, 14 Nov 1999 14:57:32 +0900

x-face-el (1.3.6.1-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@northeye.org>  Thu, 11 Nov 1999 02:39:08 +0900

x-face-el (1.3.6-6) unstable; urgency=low

  * emacsen-comon: modified.

 -- Takuo KITAME <kitame@northeye.org>  Mon,  1 Nov 1999 22:17:56 +0900

x-face-el (1.3.6-5) unstable; urgency=low

  * emacsen-comon: any FLAVOR allowed (except emacs)

 -- Takuo KITAME <kitame@northeye.org>  Tue, 19 Oct 1999 12:23:26 +0900

x-face-el (1.3.6-4) unstable; urgency=low

  * emacsen-install: fixed miss coding.

 -- Takuo KITAME <kitame@northeye.org>  Fri, 15 Oct 1999 02:19:39 +0900

x-face-el (1.3.6-3) unstable; urgency=low

  * emacsen-install: Fixed cannot install for emacs19 (closes: Bug#47184)
  * x-face.el: patched to fixe xemacs20-nomule  problem (closes: Bug#47285)

 -- Takuo KITAME <kitame@northeye.org>  Wed, 13 Oct 1999 10:05:52 +0900

x-face-el (1.3.6-2) unstable; urgency=low

  * Fixed error in 51x-face-init.el

 -- Takuo KITAME <kitame@northeye.org>  Tue, 12 Oct 1999 03:55:13 +0900

x-face-el (1.3.6-1) unstable; urgency=low

  * New upstream release
  * FHS compliance.
  * control: Maintainer: address was modified.
  * control: Standards-Version: 3.0.0

 -- Takuo KITAME <kitame@northeye.org>  Tue, 12 Oct 1999 02:54:02 +0900

x-face-el (1.3.5-2) unstable; urgency=low

  * emacsen-{install,remove} scripts modified for xemacs21

 -- Takuro KITAME <kitame@debian.or.jp>  Sun, 20 Jun 1999 23:55:07 +0900

x-face-el (1.3.5-1) unstable; urgency=low

  * New upstream release

 -- Takuro KITAME <kitame@debian.or.jp>  Mon, 24 May 1999 06:33:20 +0900

x-face-el (1.3.4-2) unstable; urgency=low

  * Initial Release.

 -- Takuro KITAME <kitame@debian.or.jp>  Tue, 27 Apr 1999 02:40:32 +0900
